comp = gfortran
fopt = -c -O3

bin/GF_num_inb.exe		 	: obj/GF_num_inb.o 
	$(comp) -o bin/GF_num_inb.exe     obj/GF_num_inb.o 

bin/GF_num_exb.exe		 	: obj/GF_num_exb.o 
	$(comp) -o bin/GF_num_exb.exe     obj/GF_num_exb.o 

bin/GF_sde_asub.exe		 	: obj/GF_sde_asub.o 
	$(comp) -o bin/GF_sde_asub.exe    obj/GF_sde_asub.o 

bin/GF_sde_tdss.exe		 	: obj/GF_sde_tdss.o 
	$(comp) -o bin/GF_sde_tdss.exe    obj/GF_sde_tdss.o 

bin/GF_sde_tnds.exe		 	: obj/GF_sde_tnds.o 
	$(comp) -o bin/GF_sde_tnds.exe    obj/GF_sde_tnds.o 

bin/GF_k2g.exe                          : obj/GF_k2g.o 
	$(comp) -o bin/GF_k2g.exe         obj/GF_k2g.o 



obj/GF_num_inb.o                        : src/GF_num_inb.f
	$(comp) -o obj/GF_num_inb.o       src/GF_num_inb.f	$(fopt)

obj/GF_num_exb.o                        : src/GF_num_exb.f
	$(comp) -o obj/GF_num_exb.o       src/GF_num_exb.f	$(fopt)

obj/GF_sde_asub.o                       : src/GF_sde_asub.f
	$(comp) -o obj/GF_sde_asub.o      src/GF_sde_asub.f	$(fopt)

obj/GF_sde_tdss.o                       : src/GF_sde_tdss.f
	$(comp) -o obj/GF_sde_tdss.o      src/GF_sde_tdss.f	$(fopt)

obj/GF_sde_tnds.o                       : src/GF_sde_tnds.f
	$(comp) -o obj/GF_sde_tnds.o      src/GF_sde_tnds.f	$(fopt)

obj/GF_k2g.o                            : src/GF_k2g.f
	$(comp) -o obj/GF_k2g.o           src/GF_k2g.f		$(fopt)


GF_num_inb   	: bin/GF_num_inb.exe
GF_num_exb   	: bin/GF_num_exb.exe
GF_sde_asub   	: bin/GF_sde_asub.exe
GF_sde_tdss   	: bin/GF_sde_tdss.exe
GF_sde_tnds   	: bin/GF_sde_tnds.exe
GF_k2g   	: bin/GF_k2g.exe

all   	        : GF_num_inb GF_num_exb GF_sde_asub GF_sde_tdss GF_sde_tnds GF_k2g

clean           : 
	rm obj/* bin/* *.mod *.f90 *~
